Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.tdb
Class TDBLoader

    java.lang.Object
      com.hp.hpl.jena.tdb.TDBLoader

    public class TDBLoader

extends Object

Public interface to the loader functionality

Constructor Summary
`TDBLoader()`

Method Summary
`boolean` | `getChecking()`
`boolean` | `getGenerateStats()`
`boolean` | `getShowProgress()`
`static void` | `load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, InputStream input, boolean showProgress)` Load the contents of URL into a dataset.
`static void` | `load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, List<String> urls)` Load the contents of URL into a dataset.
`static void` | `load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, List<String> urls, boolean showProgress)` Load the contents of URL into a dataset.
`static void` | `load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, String url)` Load the contents of URL into a dataset.
`static void` | `load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, String url, boolean showProgress)` Load the contents of URL into a dataset.
`static void` | `load(com.hp.hpl.jena.tdb.store.GraphTDB graph, List<String> urls)` Load the contents of URL into a graph
`static void` | `load(com.hp.hpl.jena.tdb.store.GraphTDB graph, List<String> urls, boolean showProgress)` Load the contents of URL into a graph
`static void` | `load(com.hp.hpl.jena.tdb.store.GraphTDB graph, String url)` Load the contents of URL into a graph
`static void` | `load(com.hp.hpl.jena.tdb.store.GraphTDB graph, String url, boolean showProgress)` Load the contents of URL into a graph
`void` | `loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, InputStream input)` Load a dataset from an input steram which must be in N-Quads form
`void` | `loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, List<String> urls)` Load a dataset from a list of URL - assumes the URLs name quads format documents
`void` | `loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset, String url)` Load a dataset from a URL - assumes URL names a quads format
`void` | `loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph, InputStream in)` Load a graph from a list of URL - assumes the URLs name triples format documents
`void` | `loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph, List<String> urls)` Load a graph from a list of URL - assumes the URLs name triples format documents
`void` | `loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph, String url)` Load a graph from a URL - assumes URL names a triples format document
`static void` | `loadModel(com.hp.hpl.jena.rdf.model.Model model, List<String> urls, boolean showProgress)` Load the contents of a list of URLs into a model - may not be as efficient as bulk loading into a TDB graph
`static void` | `loadModel(com.hp.hpl.jena.rdf.model.Model model, String url)` Load the contents of URL into a model - may not be as efficient as bulk loading into a TDB graph
`static void` | `loadModel(com.hp.hpl.jena.rdf.model.Model model, String url, boolean showProgress)` Load the contents of URL into a model - may not be as efficient as bulk loading into a TDB graph
`void` | `setChecking(boolean checking)`
`void` | `setGenerateStats(boolean generateStats)`
`void` | `setShowProgress(boolean showProgress)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TDBLoader

    public TDBLoader()

Method Detail

### load

    public static void load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            String url)

  Load the contents of URL into a dataset. URL must name a quads format file (NQuads or TriG - NTriples is also accepted). To a triples format, use @link{#load(GraphTDB, String)} or @link{#loadTriples(DatasetGraphTDB, List, boolean)}

### load

    public static void load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            String url,
                            boolean showProgress)

  Load the contents of URL into a dataset. URL must name a quads format file (NQuads or TriG - NTriples is also accepted). To a triples format, use @link{#load(GraphTDB, String, boolean)} or @link{#loadTriples(DatasetGraphTDB, List, boolean)}

### load

    public static void load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            List<String> urls)

  Load the contents of URL into a dataset. URL must name a quads format file (NQuads or TriG - NTriples is also accepted). To load a triples format, use @link{#load(GraphTDB, List, boolean)} or @link{#loadTriples(DatasetGraphTDB, List, boolean)}

### load

    public static void load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            List<String> urls,
                            boolean showProgress)

  Load the contents of URL into a dataset. URL must name a quads format file (NQuads or TriG - NTriples is also accepted). To load a triples format, use @link{#load(GraphTDB, List, boolean)} or @link{#loadTriples(DatasetGraphTDB, List, boolean)}

### load

    public static void load(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            InputStream input,
                            boolean showProgress)

  Load the contents of URL into a dataset. Input is NQUADS. To load a triples format, use @link{#load(GraphTDB, List, boolean)} or @link{#loadTriples(DatasetGraphTDB, List, boolean)}

### load

    public static void load(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                            String url)

  Load the contents of URL into a graph

### load

    public static void load(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                            String url,
                            boolean showProgress)

  Load the contents of URL into a graph

### load

    public static void load(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                            List<String> urls)

  Load the contents of URL into a graph

### load

    public static void load(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                            List<String> urls,
                            boolean showProgress)

  Load the contents of URL into a graph

### loadModel

    public static void loadModel(com.hp.hpl.jena.rdf.model.Model model,
                                 String url)

  Load the contents of URL into a model - may not be as efficient as bulk loading into a TDB graph

### loadModel

    public static void loadModel(com.hp.hpl.jena.rdf.model.Model model,
                                 String url,
                                 boolean showProgress)

  Load the contents of URL into a model - may not be as efficient as bulk loading into a TDB graph

### loadModel

    public static void loadModel(com.hp.hpl.jena.rdf.model.Model model,
                                 List<String> urls,
                                 boolean showProgress)

  Load the contents of a list of URLs into a model - may not be as efficient as bulk loading into a TDB graph

### loadGraph

    public void loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                          String url)

  Load a graph from a URL - assumes URL names a triples format document

### loadGraph

    public void loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                          List<String> urls)

  Load a graph from a list of URL - assumes the URLs name triples format documents

### loadGraph

    public void loadGraph(com.hp.hpl.jena.tdb.store.GraphTDB graph,
                          InputStream in)

  Load a graph from a list of URL - assumes the URLs name triples format documents

### loadDataset

    public void loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            String url)

  Load a dataset from a URL - assumes URL names a quads format

### loadDataset

    public void loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            List<String> urls)

  Load a dataset from a list of URL - assumes the URLs name quads format documents

### loadDataset

    public void loadDataset(com.hp.hpl.jena.tdb.store.DatasetGraphTDB dataset,
                            InputStream input)

  Load a dataset from an input steram which must be in N-Quads form

### getChecking

    public boolean getChecking()

### setChecking

    public void setChecking(boolean checking)

### getShowProgress

    public boolean getShowProgress()

### setShowProgress

    public final void setShowProgress(boolean showProgress)

### getGenerateStats

    public final boolean getGenerateStats()

### setGenerateStats

    public final void setGenerateStats(boolean generateStats)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Talis Information Ltd. Copyright ? 2010 Epimorphics Ltd.